# Uses of Class
org.apache.lucene.search.DoubleValuesSource

Packages that use DoubleValuesSource
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.search
Code to search indices.

## Uses of DoubleValuesSource in org.apache.lucene.document

Methods in org.apache.lucene.document that return DoubleValuesSource
Modifier and Type
Method
Description
`static DoubleValuesSource`
FeatureField.`newDoubleValues(String field, String featureName)`
Creates a `DoubleValuesSource` instance which can be used to read the values of a feature from the a `FeatureField` for documents.

## Uses of DoubleValuesSource in org.apache.lucene.search

Fields in org.apache.lucene.search declared as DoubleValuesSource
Modifier and Type
Field
Description
`static final DoubleValuesSource`
DoubleValuesSource.`SCORES`
A DoubleValuesSource that exposes a document's score
Methods in org.apache.lucene.search that return DoubleValuesSource
Modifier and Type
Method
Description
`static DoubleValuesSource`
DoubleValuesSource.`constant(double value)`
Creates a DoubleValuesSource that always returns a constant value
`static DoubleValuesSource`
DoubleValuesSource.`fromDoubleField(String field)`
Creates a DoubleValuesSource that wraps a double-valued field
`static DoubleValuesSource`
DoubleValuesSource.`fromField(String field, LongToDoubleFunction decoder)`
Creates a DoubleValuesSource that wraps a generic NumericDocValues field
`static DoubleValuesSource`
DoubleValuesSource.`fromFloatField(String field)`
Creates a DoubleValuesSource that wraps a float-valued field
`static DoubleValuesSource`
DoubleValuesSource.`fromIntField(String field)`
Creates a DoubleValuesSource that wraps an int-valued field
`static DoubleValuesSource`
DoubleValuesSource.`fromLongField(String field)`
Creates a DoubleValuesSource that wraps a long-valued field
`static DoubleValuesSource`
DoubleValuesSource.`fromQuery(Query query)`
Create a DoubleValuesSource that returns the score of a particular query
`abstract DoubleValuesSource`
DoubleValuesSource.`rewrite(IndexSearcher reader)`
Return a DoubleValuesSource specialised for the given IndexSearcher
`DoubleValuesSource`
LongValuesSource.`toDoubleValuesSource()`
Convert to a DoubleValuesSource by casting long values to doubles